Bug 34209 - doesn't correct paths for root use
doesn't correct paths for root use
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-31 03:58 EST by Chris Ricker
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-03 04:48:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2001-03-31 03:58:53 EST
I'm running qa0328

Some of the control center apps require root privilege, and nicely offer to
su to root for you when you try to run them.  However, they don't update
the path to reflect the path needed for root, and this sometimes breaks the
app.

For example, under System there's a Boot Manager tool which edits the Lilo
config.  As an ordinary user, I don't have /sbin in my path.  When I try to
run Boot Manager, it prompts me for the root password and then launches
Boot Manager as root.  However, it uses my non-privileged user path when
doing so, so it runs without having /sbin in its path.  Consequently, it
can't find /sbin/lilo and so it fails to work (and reports a cryptic error
about invalid configuration).

All the su to root KDE apps should make sure that they define an
environmental PATH which includes /sbin and /usr/sbin if they're not
already there to avoid these sorts of issues.
Comment 1 Bernhard Rosenkraenzer 2001-04-03 04:48:01 EDT
Fixing
Comment 2 Bernhard Rosenkraenzer 2001-04-04 05:45:16 EDT
Fixed in kdelibs-2.1.1-5

Note You need to log in before you can comment on or make changes to this bug.